﻿<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>
        @{ if (ViewData["Title"] != null)
            { @ViewData["Title"] } } - ERP-ITSC
    </title>
    <!-- Favicon -->
    <link rel="shortcut icon" href="~/assets/images/favicon.jpg" />
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="~/assets/css/bootstrap.min.css">
    <!-- Typography CSS -->
    <link rel="stylesheet" href="~/assets/css/typography.css">
    <!-- Style CSS -->
    <link rel="stylesheet" href="~/assets/css/style_goc.css">
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="~/assets/css/responsive_goc.css">
    <link rel="stylesheet" href="~/assets/my_style_admin.css?v=0.000000012">
    <link rel="stylesheet" href="//cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css">

    @if (ViewData["css"] != null)
    {
        <partial name="@ViewData["css"]" />
    }

</head>
<body class="">
    <div id="loading">
        <div id="loading-center"></div>
    </div>

    <div class="wrapper">
        
        <partial name="~/Views/Shared/Admin/MenuTop.cshtml" />
        <div id="content-page" class="content-page" style="margin-left:0px">
            <div class="container-fluid relative" style="background:white;">
                @RenderBody()
            </div>
        </div>
    </div>

    <footer class="bg-white iq-footer">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-6 text-left">
                    Copyright © 2021 Trung Tâm Hệ Thống Công Nghệ Thông Tin - ITSC
                </div>
                <div class="col-lg-6 text-right">
                    <ul class="list-inline mb-0">
                        <li class="list-inline-item">
                            <a href="https://nhabe.com.vn" target="_blank">TỔNG CÔNG TY MAY NHÀ BÈ - CTCP</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>


    <!-- Optional JavaScript -->
    <script src="~/assets/js/toggle_menu_left.js"></script>
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="~/assets/js/jquery.min.js"></script>
    <script src="~/assets/js/popper.min.js"></script>
    <script src="~/assets/js/bootstrap.min.js"></script>
    <!-- Appear JavaScript -->
    <script src="~/assets/js/jquery.appear.js"></script>
    <!-- Select2 JavaScript -->
    <script src="~/assets/js/select2.min.js"></script>
    <!-- Magnific Popup JavaScript -->
    <script src="~/assets/js/jquery.magnific-popup.min.js"></script>
    <script src="//cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript">


        (function (jQuery) {
            "use strict";
            jQuery(document).ready(function () {
                $('.table').DataTable();
                /*--------------Tooltip------------------*/
                jQuery('[data-toggle="popover"]').popover();
                jQuery('[data-toggle="tooltip"]').tooltip();
                /*---------------Page Loader--------------*/
                jQuery("#load").fadeOut();
                jQuery("#loading").delay().fadeOut("");
                /*---------------Scrollbar---------------------*/
                let Scrollbar = window.Scrollbar;
                if (jQuery('#sidebar-scrollbar').length) {
                    //Scrollbar.init(document.querySelector('#sidebar-scrollbar'), options);
                }
                let Scrollbar1 = window.Scrollbar;
                if (jQuery('#right-sidebar-scrollbar').length) {
                    //Scrollbar1.init(document.querySelector('#right-sidebar-scrollbar'), options);
                }
                /*-------------Page Menu---------------------*/
                jQuery(document).on('click', '.wrapper-menu', function () {
                    jQuery(this).toggleClass('open');
                });

                jQuery(document).on('click', ".wrapper-menu", function () {
                    jQuery("body").toggleClass("sidebar-main");
                });
                /*---------------Wow Animation---------------------*/
                // let wow = new WOW({
                // 	boxClass: 'wow',
                // 	animateClass: 'animated',
                // 	offset: 0,
                // 	mobile: false,
                // 	live: true
                // });
                // wow.init();
                /*--------------- Magnific Popup----------------*/
                jQuery('.popup-gallery').magnificPopup({
                    delegate: 'a.popup-img',
                    type: 'image',
                    tLoading: 'Loading image #%curr%...',
                    mainClass: 'mfp-img-mobile',
                    gallery: {
                        enabled: true,
                        navigateByImgClick: true,
                        preload: [0, 1]
                        /*Will preload 0 - before current, and 1 after the current image*/
                    },
                    image: {
                        tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
                        titleSrc: function (item) {
                            return item.el.attr('title') + '<small>by Marsel Van Oosten</small>';
                        }
                    }
                });
                /*---------------Ripple Effect--------------*/
                jQuery(document).on('click', ".iq-waves-effect", function (e) {
                    /*Remove any old one*/
                    jQuery('.ripple').remove();
                    /*Setup*/
                    let posX = jQuery(this).offset().left,
                        posY = jQuery(this).offset().top,
                        buttonWidth = jQuery(this).width(),
                        buttonHeight = jQuery(this).height();
                    /*Add the element*/
                    jQuery(this).prepend("<span class='ripple'></span>");
                    /*Make it round!*/
                    if (buttonWidth >= buttonHeight) {
                        buttonHeight = buttonWidth;
                    } else {
                        buttonWidth = buttonHeight;
                    }
                    /*Get the center of the element*/
                    let x = e.pageX - posX - buttonWidth / 2;
                    let y = e.pageY - posY - buttonHeight / 2;
                    /*Add the ripples CSS and start the animation*/
                    jQuery(".ripple").css({
                        width: buttonWidth,
                        height: buttonHeight,
                        top: y + 'px',
                        left: x + 'px'
                    }).addClass("rippleEffect");
                });
                /*----------------Search input---------------*/
                jQuery(document).on('click', function (e) {
                    let myTargetElement = e.target;
                    let selector, mainElement;
                    if (jQuery(myTargetElement).hasClass('search-toggle') || jQuery(myTargetElement).parent().hasClass('search-toggle') || jQuery(myTargetElement).parent().parent().hasClass('search-toggle')) {
                        if (jQuery(myTargetElement).hasClass('search-toggle')) {
                            selector = jQuery(myTargetElement).parent();
                            mainElement = jQuery(myTargetElement);
                        } else if (jQuery(myTargetElement).parent().hasClass('search-toggle')) {
                            selector = jQuery(myTargetElement).parent().parent();
                            mainElement = jQuery(myTargetElement).parent();
                        } else if (jQuery(myTargetElement).parent().parent().hasClass('search-toggle')) {
                            selector = jQuery(myTargetElement).parent().parent().parent();
                            mainElement = jQuery(myTargetElement).parent().parent();
                        }
                        if (!mainElement.hasClass('active') && jQuery(".navbar-list li").find('.active')) {
                            jQuery('.navbar-list li').removeClass('iq-show');
                            jQuery('.navbar-list li .search-toggle').removeClass('active');
                        }
                        selector.toggleClass('iq-show');
                        mainElement.toggleClass('active');
                        e.preventDefault();
                    } else if (jQuery(myTargetElement).is('.search-input')) { } else {
                        jQuery('.navbar-list li').removeClass('iq-show');
                        jQuery('.navbar-list li .search-toggle').removeClass('active');
                    }
                });
                /*------------Scroll up menu------------------*/
                var position = $(window).scrollTop();
                $(window).scroll(function () {
                    var scroll = $(window).scrollTopđúng
                    //  console.log(scroll);

                    if (scroll < position) {
                        $('.tab-menu-horizontal').addClass('menu-up');
                        $('.tab-menu-horizontal').removeClass('menu-down');
                    }
                    else {
                        $('.tab-menu-horizontal').addClass('menu-down');
                        $('.tab-menu-horizontal').removeClass('menu-up');
                    }
                    if (scroll == 0) {
                        $('.tab-menu-horizontal').removeClass('menu-up');
                        $('.tab-menu-horizontal').removeClass('menu-down');
                    }
                    position = scroll;
                });

            });
        })(jQuery);
    </script>
    @if (ViewData["js"] != null)
    {
        <partial name="@ViewData["js"]" />
    }

</body>
</html>